跳到主内容

GET /v1/instagram/user/user_detail_v2

Instagram用户资料 API (V2)

stable · 20 credits / 次(成功才计)

通过用户名获取 Instagram 用户资料。使用该接口在进行创作者研究、品牌监测或相关帖子分析之前审查已知账号。

注册即送 500 credits,用自己的 Key 试调。 免费注册

请求

curl
curl -s 'https://api.wellbyte.net/v1/instagram/user/user_detail_v2?username=demo' \
  -H "Authorization: Bearer dg_live_…"

响应

示例采集于 2026-09-23

data{
code:0
data{
id:"25025320"
fbid:"17841400039600391"
status:true
eimu_id:"117943452927407"
attempts:"33"
username:"instagram"
bio_links[ 2 items ]
biography:"Discover what's new on Instagram 🔎✨"
full_name:"Instagram"
has_clips:true
has_guides:false
is_private:false
edge_follow{ 1 item }
guardian_id:null
has_channel:false
is_verified:true
external_url:"http://help.instagram.com/"
category_enum:null
category_name:null
country_block:false
business_email:null
follows_viewer:false
group_metadata:null
has_ar_effects:false
profile_pic_url:
"https://instagram.fbcn2-1.fna.fbcdn.net/v/t51.82787-19/550891366_186677716840013..."
edge_followed_by{ 1 item }
is_regulated_c18:false
blocked_by_viewer:false
fb_profile_biolink:null
followed_by_viewer:false
has_blocked_viewer:false
is_embeds_disabled:false
is_joined_recently:false
is_supervised_user:false
profile_pic_url_hd:
"https://instagram.fbcn2-1.fna.fbcdn.net/v/t51.82787-19/550891366_186677716840013..."
transparency_label:null
is_business_account:false
is_verified_by_mv4b:false
requested_by_viewer:false
has_requested_viewer:false
highlight_reel_count:11
restricted_by_viewer:null
should_show_category:false
transparency_product:null
business_address_json:null
business_phone_number:null
is_guardian_of_viewer:false
overall_category_name:null
business_category_name:null
is_supervision_enabled:false
ai_agent_owner_username:null
biography_with_entities{ 2 items }
business_contact_method:"UNKNOWN"
is_professional_account:true
is_supervised_by_viewer:false
external_url_linkshimmed:
"https://l.instagram.com/?u=http%3A%2F%2Fhelp.instagram.com%2F&e=AUB9WMCx7lT8vrdn..."
show_text_post_app_badge:true
hide_like_and_view_counts:false
remove_message_entrypoint:false
pinned_channels_list_count:0
should_show_public_contacts:false
edge_owner_to_timeline_media{ 2 items }
has_onboarded_to_text_post_app:true
show_account_transparency_details:true
}
meta{
endpoint:"instagram.user.user_detail_v2"
cache_hit:false
elapsed_ms:0
request_id:"req_sample"
credits_charged:0
}
message:"ok"
}

请求历史

打开完整日志

还没有调用记录。先跑通一次,再换成你的数据。

    请求参数

    参数类型位置必填说明示例
    usernamestringquery是要检索个人资料详情的Instagram用户名。demo

    响应字段

    字段字典待补 —— 右侧可执行区可直接看到真实结构。

    错误码

    codeHTTP含义是否计费
    40001400参数缺失或格式错误否
    40102401API Key 无效或已吊销否
    40201402余额不足,请充值否
    40402404目标资源不存在否
    42201422质量门槛未通过否
    42901429超出速率限制否
    50401504上游超时否
    50201502上游返回异常否

    计费

    成功扣 20 credits;任何失败(含返回 200 但未过质量门槛)扣 0。

    全部Instagram端点 →

    搜索

    搜索端点与文档